<?php
/*
Template name: Blog Template
*/
get_header();

while ( have_posts() ){

the_post();

$canela_blog_layout = canela_get_theme_options( 'clapat_canela_blog_layout' );

?>
			
	
	<?php 
		
		// display hero section, if any
		get_template_part('sections/hero_section'); 
		
	?>
		<!-- Main Content -->
		<div id="main-content">
			<!-- Blog-->
			<div id="blog" class="<?php echo sanitize_html_class( $canela_blog_layout ); ?>">
				<!-- Blog-Content-->
				<div data-fx="1">
				<?php 
						
					$canela_paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
					
					$canela_args = array(
						'post_type' => 'post',
						'paged' => $canela_paged
					);
					$canela_posts_query = new WP_Query( $canela_args );

					// the loop
					while( $canela_posts_query->have_posts() ){

						$canela_posts_query->the_post();

						get_template_part( 'sections/blog_post_section' );
						
					}
							
				?>
				</div>
				<!-- /Blog-Content -->
					
				<?php
						
					canela_pagination( $canela_posts_query );

					wp_reset_postdata();
				?>
			</div>
			<!-- /Blog-->
		</div>
		<!--/Main Content-->
	
<?php

}

get_footer();

?>
