<?php

if( !isset( $canela_default_theme_options ) ){
	
	$canela_default_theme_options = array();

	$canela_default_theme_options['clapat_canela_enable_ajax'] = 0;
	$canela_default_theme_options['clapat_canela_enable_smooth_scrolling'] = 0;
	$canela_default_theme_options['clapat_canela_enable_smooth_drag'] = 0;
	$canela_default_theme_options['clapat_canela_enable_preloader'] = 1;
	$canela_default_theme_options['clapat_canela_preloader_hover_first_line'] = esc_html__( 'Stay', 'canela' );
	$canela_default_theme_options['clapat_canela_preloader_hover_second_line'] = esc_html__( 'Relaxed', 'canela' );
	$canela_default_theme_options['clapat_canela_enable_fullscreen_menu'] = 0;
	$canela_default_theme_options['clapat_canela_enable_back_to_top'] = 1;
	$canela_default_theme_options['clapat_canela_back_to_top_caption'] = esc_html__( 'Back Top', 'canela' );
	$canela_default_theme_options['clapat_canela_menu_btn_caption'] = esc_html__( 'Menu', 'canela' );
	$canela_default_theme_options['clapat_canela_regular_cursor_color'] ='#f33a3a';
	$canela_default_theme_options['clapat_canela_hover_cursor_color'] = '#f33a3a';
	$canela_default_theme_options['clapat_canela_default_page_bknd_type'] = 'light-content';
	$canela_default_theme_options['clapat_canela_enable_page_title_as_hero'] = 1;
	$canela_default_theme_options['clapat_canela_enable_magic_cursor'] = 0;
	$canela_default_theme_options['clapat_canela_logo'] = esc_url( get_template_directory_uri() . '/images/logo.png' );
	$canela_default_theme_options['clapat_canela_logo_light'] = esc_url( get_template_directory_uri() . '/images/logo-white.png' );
	$canela_default_theme_options['clapat_canela_footer_copyright'] = wp_kses( __('2020 Copyright <a target="_blank" href="https://www.clapat.com/themes/canela/">Canela Theme</a>.', 'canela'), 'canela_allowed_html' );
	$canela_default_theme_options['clapat_canela_footer_social_links_prefix'] = esc_html__( 'Follow Us', 'canela' );
	$canela_default_theme_options['clapat_canela_social_links_icons'] = 0;
	global $canela_social_links;
	$social_network_ids = array_keys( $canela_social_links );
	for( $idx = 1; $idx <= CANELA_MAX_SOCIAL_LINKS; $idx++ ){

		$canela_default_theme_options['clapat_canela_footer_social_' . $idx] = 'Fb';
		$canela_default_theme_options['clapat_canela_footer_social_url_' . $idx] = '';
	}
	$canela_default_theme_options['clapat_canela_showcase_transition_pattern_image'] = 'aqua-light';
	$canela_default_theme_options['clapat_canela_showcase_transition_pattern_custom_image'] = '';
	$canela_default_theme_options['clapat_canela_portfolio_custom_slug'] = '';
	$canela_default_theme_options['clapat_canela_view_project_caption_first'] = esc_html__('View', 'canela');
	$canela_default_theme_options['clapat_canela_view_project_caption_second'] = esc_html__('Project', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_quick_menu_open_caption'] = esc_html__('All Projects', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_quick_menu_close_caption'] = esc_html__('Close All', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_next_caption_first_line'] = esc_html__('Next', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_next_caption_second_line'] = esc_html__('Project', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_filter_all_caption'] = esc_html__('All', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_show_filters_caption'] = esc_html__('Show Filters', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_share_social_networks_caption'] = esc_html__('Share Project:', 'canela');
	$canela_default_theme_options['clapat_canela_portfolio_navigation_order'] = 'forward';
	$canela_default_theme_options['clapat_canela_blog_next_post_caption'] = esc_html__('Next', 'canela');
	$canela_default_theme_options['clapat_canela_blog_read_more_caption'] = esc_html__('Read More', 'canela');
	$canela_default_theme_options['clapat_canela_blog_prev_posts_caption'] = esc_html__('Prev', 'canela');
	$canela_default_theme_options['clapat_canela_blog_next_posts_caption'] = esc_html__('Next', 'canela');
	$canela_default_theme_options['clapat_canela_blog_default_title'] = esc_html__('Blog', 'canela');
	$canela_default_theme_options['clapat_canela_map_address'] = esc_html__('775 New York Ave, Brooklyn, Kings, New York 11203', 'canela');
	$canela_default_theme_options['clapat_canela_map_marker'] = esc_url( get_template_directory_uri() . '/images/marker.png');
	$canela_default_theme_options['clapat_canela_map_zoom'] = 16;
	$canela_default_theme_options['clapat_canela_map_company_name'] = esc_html__('Canela', 'canela');
	$canela_default_theme_options['clapat_canela_map_company_info'] = esc_html__('Here we are. Come to drink a coffee!', 'canela');
	$canela_default_theme_options['clapat_canela_map_type'] = 'satellite';
	$canela_default_theme_options['clapat_canela_map_api_key'] = '';
	$canela_default_theme_options['clapat_canela_error_title'] = esc_html__('404', 'canela');
	$canela_default_theme_options['clapat_canela_error_info'] = esc_html__('The page you are looking for could not be found.', 'canela');
	$canela_default_theme_options['clapat_canela_error_back_button'] = esc_html__('Home Page', 'canela');
	$canela_default_theme_options['clapat_canela_error_back_button_hover_caption'] = esc_html__('Go Back', 'canela');
	$canela_default_theme_options['clapat_canela_error_back_button_url'] = esc_url( get_home_url() );
	$canela_default_theme_options['clapat_canela_error_page_bknd_type'] = 'light-content';
}

if( !class_exists('Clapat\Canela\Metaboxes\Meta_Boxes') ){
	
	$canela_default_meta_options = array (
									"canela-opt-page-bknd-color" =>"light-content", 
									"canela-opt-page-enable-hero" =>"", 
									"canela-opt-page-hero-caption-title" =>"", 
									"canela-opt-page-hero-caption-subtitle" =>"", 
									"canela-opt-page-enable-navigation" =>"", 
									"canela-opt-page-navigation-caption-first-line" => esc_html__('Next', 'canela'),
									"canela-opt-page-navigation-caption-second-line" => esc_html__('Page', 'canela'),
									"canela-opt-page-navigation-caption-title" =>"", 
									"canela-opt-page-navigation-next-url" =>"", 
									"canela-opt-page-navigation-next-title" =>"", 
									"canela-opt-page-navigation-next-subtitle" =>"", 
									"canela-opt-page-portfolio-caption-type" =>"hover-caption",
									"canela-opt-page-portfolio-layout-type" =>"scattered-grid",
									"canela-opt-page-portfolio-filter-category" =>"",
									"canela-opt-page-portfolio-mixed-items" =>"",
									"canela-opt-page-portfolio-mixed-content-position" =>"after",
									"canela-opt-page-showcase-filter-category" =>"", 
									"canela-opt-blog-bknd-color" =>"light-content", 
									"canela-opt-portfolio-bknd-color" =>"light-content",
									"canela-opt-portfolio-showcase-include" =>"yes", 
									"canela-opt-portfolio-hero-img" => "", 
									"canela-opt-portfolio-hero-caption-title" =>"", 
									"canela-opt-portfolio-hero-caption-subtitle" =>"",
									"canela-opt-portfolio-hero-scroll-caption" => esc_html__('Scroll or drag to navigate', 'canela'),
									"canela-opt-portfolio-hero-project-info" => "",
									"canela-opt-portfolio-hero-position" =>"fixed-onscroll", 
								);
}

?>
