<?php

define('CANELA_THEME_ID', 'canela');
define('CANELA_THEME_OPTIONS', 'clapat_' . CANELA_THEME_ID . '_theme_options');

$canela_social_links = array('Fb' => esc_html__('Facebook', 'canela'),
							'Tw' => esc_html__('Twitter', 'canela'),
							'Be' => esc_html__('Behance', 'canela'),
							'Db' => esc_html__('Dribbble', 'canela'),
							'In' => esc_html__('Instagram', 'canela'),
							'Ld' => esc_html__('Linkedin', 'canela'),
							'Wa' => esc_html__('WhatsApp', 'canela'),
							'Da' => esc_html__('DeviantArt', 'canela'),
							'Dg' => esc_html__('Digg', 'canela'),
							'Fr' => esc_html__('Flickr', 'canela'),
							'Fq' => esc_html__('Foursquare', 'canela'),
							'Gi' => esc_html__('Git', 'canela'),
							'Pn' => esc_html__('Pinterest', 'canela'),
							'Rd' => esc_html__('Reddit', 'canela'),
							'Md' => esc_html__('Medium', 'canela'),
							'Sk' => esc_html__('Skype', 'canela'),
							'Sc' => esc_html__('Souncloud', 'canela'),
							'Su' => esc_html__('Stumbleupon', 'canela'),
							'Tb' => esc_html__('Tumblr', 'canela'),
							'Ya' => esc_html__('Yahoo', 'canela'),
							'Ye' => esc_html__('Yelp', 'canela'),
							'Yt' => esc_html__('Youtube', 'canela'),
							'Vm' => esc_html__('Vimeo', 'canela'),
							'Xg' => esc_html__('Xing', 'canela') );
							
$canela_social_links_icons = array(	'Fb' => 'facebook',
									'Tw' => 'twitter',
									'Be' => 'behance',
									'Db' => 'dribbble',
									'In' => 'instagram',
									'Ld' => 'linkedin',
									'Wa' => 'whatsapp',
									'Da' => 'deviantart',
									'Dg' => 'digg',
									'Fr' => 'flickr',
									'Fq' => 'foursquare',
									'Gi' => 'git',
									'Pn' => 'pinterest',
									'Rd' => 'reddit',
									'Md' => 'medium',
									'Sk' => 'skype',
									'Sc' => 'soundcloud',
									'Su' => 'stumbleupon',
									'Tb' => 'tumblr',
									'Ya' => 'yahoo',
									'Ye' => 'yelp',
									'Yt' => 'youtube',
									'Vm' => 'vimeo-square',
									'Xg' => 'xing' );
							
define ( 'CANELA_MAX_SOCIAL_LINKS', 5 );

$canela_slide_transitions = array( 'aqua-light' => get_template_directory_uri() . '/images/displacement/aqua-light.jpg',
								   'concrete-slab' => get_template_directory_uri() . '/images/displacement/concrete-slab.jpg',
								   'crystals' => get_template_directory_uri() . '/images/displacement/crystals.jpg',
								   'diagonal-stripes' => get_template_directory_uri() . '/images/displacement/diagonal-stripes.jpg',
								   'diamonds' => get_template_directory_uri() . '/images/displacement/diamonds.jpg',
								   'drops-grid' => get_template_directory_uri() . '/images/displacement/drops-grid.jpg',
								   'fire-flies' => get_template_directory_uri() . '/images/displacement/fire-flies.jpg',
								   'horizontal-stripes' => get_template_directory_uri() . '/images/displacement/horizontal-stripes.jpg',
								   'kaleidoscope' => get_template_directory_uri() . '/images/displacement/kaleidoscope.jpg',
								   'minecraft' => get_template_directory_uri() . '/images/displacement/minecraft.jpg',
								   'nebula' => get_template_directory_uri() . '/images/displacement/nebula.jpg',
								   'precious-stone.jpg' => get_template_directory_uri() . '/images/displacement/precious-stonejpg',
								   'printer-dots.jpg' => get_template_directory_uri() . '/images/displacement/printer-dots.jpg',
								   'textile-black-and-white.jpg' => get_template_directory_uri() . '/images/displacement/textile-black-and-white.jpg',
								   'white-noise.jpg' => get_template_directory_uri() . '/images/displacement/white-noise.jpg',
								   'zebra-stripes.jpg' => get_template_directory_uri() . '/images/displacement/zebra-stripes.jpg',
								   'zig-zag-stripes.jpg' => get_template_directory_uri() . '/images/displacement/zig-zag-stripes.jpg' );

$canela_slide_transitions_labels = array( 'aqua-light' =>  esc_html__('Aqua Light', 'canela'),
								   'concrete-slab' => esc_html__('Concrete Slab', 'canela'),
								   'crystals' => esc_html__('Crystals', 'canela'),
								   'diagonal-stripes' => esc_html__('Diagonal Stripes', 'canela'),
								   'diamonds' => esc_html__('Diamonds', 'canela'),
								   'drops-grid' => esc_html__('Drops Grid', 'canela'),
								   'fire-flies' => esc_html__('Fire Flies', 'canela'),
								   'horizontal-stripes' => esc_html__('Horizontal Stripes', 'canela'),
								   'kaleidoscope' => esc_html__('Kaleidoscope', 'canela'),
								   'minecraft' => esc_html__('Minecraft', 'canela'),
								   'nebula' => esc_html__('Nebula', 'canela'),
								   'precious-stone.jpg' => esc_html__('Precious Stone', 'canela'),
								   'printer-dots.jpg' => esc_html__('Printer Dots', 'canela'),
								   'textile-black-and-white.jpg' => esc_html__('Textile Black And White', 'canela'),
								   'white-noise.jpg' => esc_html__('White Noise', 'canela'),
								   'zebra-stripes.jpg' => esc_html__('Zebra Stripes', 'canela'),
								   'zig-zag-stripes.jpg' => esc_html__('Zig Zag Stripes', 'canela') );

?>