<?php
/**
 * Created by Clapat.
 * Date: 04/02/19
 * Time: 6:21 AM
 */

// register navigation menus
if ( ! function_exists( 'canela_register_nav_menus' ) ){
	
	function canela_register_nav_menus() {
		
	  register_nav_menus(
		array(
		  'primary-menu' => esc_html__( 'Primary Menu', 'canela')
		)
	  );
	}
}
add_action( 'init', 'canela_register_nav_menus' );
 
// custom excerpt length
if( !function_exists('canela_custom_excerpt_length') ){

	function canela_custom_excerpt_length( $length ) {

		return intval( canela_get_theme_options( 'clapat_canela_blog_excerpt_length' ) );
	}
}

// theme setup
if ( ! function_exists( 'canela_theme_setup' ) ){

	function canela_theme_setup() {

		// Set content width
		if ( ! isset( $content_width ) ) $content_width = 1180;

		// add support for multiple languages
		load_theme_textdomain( 'canela', get_template_directory() . '/languages' );
			
	}

} // canela_theme_setup

/**
 * Tell WordPress to run canela_theme_setup() when the 'after_setup_theme' hook is run.
 */
add_action( 'after_setup_theme', 'canela_theme_setup' );