<?php

if( !function_exists('canela_render_footer_social_links' ) )
{
	function canela_render_footer_social_links(){

		global $canela_social_links_icons;
		$canela_social_links = "";
		for( $idx = 1; $idx <= CANELA_MAX_SOCIAL_LINKS; $idx++ ){

			$social_name = canela_get_theme_options( 'clapat_canela_footer_social_' . $idx );
			$social_url  = canela_get_theme_options( 'clapat_canela_footer_social_url_' . $idx );

			if( $social_url ){

				if( canela_get_theme_options( 'clapat_canela_social_links_icons' ) ){
					
					$canela_social_links .= '<li><span class="parallax-wrap"><a class="parallax-element" href="' . esc_url( $social_url ) . '" target="_blank"><i class="fa fa-'. esc_attr( $canela_social_links_icons[ $social_name ] ) . '"></i></a></span></li>';
				}
				else {
					
					$canela_social_links .= '<li><span class="parallax-wrap"><a class="parallax-element" href="' . esc_url( $social_url ) . '" target="_blank">' . wp_kses( $social_name, 'canela_allowed_html' ) . '</a></span></li>';
				}

			}

		}
		
		if( !empty( $canela_social_links ) ){
?>
						<div class="socials-wrap disable-drag">
							<div class="socials-icon"><i class="fa fa-share-alt" aria-hidden="true"></i></div>
							<div class="socials-text"><?php echo wp_kses( canela_get_theme_options('clapat_canela_footer_social_links_prefix'), 'canela_allowed_html' ); ?></div>
							<ul class="socials">
								<?php echo wp_kses( $canela_social_links, 'canela_allowed_html' ); ?>
							</ul>
						</div>
<?php			
		
		}

	}
}

canela_render_footer_social_links();

?>
