			<!-- Filters Overlay -->
			<div id="filters-overlay">
				<div id="close-filters"></div>
				<div class="outer">
					<div class="inner">
						<ul id="filters">
							<li class="filters-timeline link"><a id="all" href="#" data-filter="*" class="active hide-ball"><?php echo wp_kses( canela_get_theme_options( 'clapat_canela_portfolio_filter_all_caption' ), 'canela_allowed_html' ); ?></a></li>
							<?php
							
								// check if the category filter is specified in page options
								$canela_portfolio_category_filter	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-portfolio-filter-category' );

								$canela_portfolio_category = null;
								if( !empty( $canela_portfolio_category_filter ) ){
	
									$canela_portfolio_category = array();
									$canela_category_slugs = explode( ",", $canela_portfolio_category_filter );
									foreach( $canela_category_slugs as $canela_category_slug ){
										
										$canela_category_object = get_term_by( 'slug', $canela_category_slug, 'portfolio_category' );
										if( $canela_category_object ){
											
											array_push( $canela_portfolio_category, $canela_category_object );
										}
									}
								}
								else {

									$canela_portfolio_category = get_terms('portfolio_category', array( 'hide_empty' => 0 ));
								}

								if( $canela_portfolio_category ){

									foreach( $canela_portfolio_category as $portfolio_cat ){

							?>
							<li class="filters-timeline link"><a href="#" data-filter=".<?php echo sanitize_title( $portfolio_cat->slug ); ?>" class="hide-ball"><?php echo wp_kses( $portfolio_cat->name, 'canela_allowed_html' ); ?></a></li>
							<?php

									}
								}

							?>
						</ul>
					</div>
				</div>
			</div>
			<!-- /Filters Overlay -->