<?php
/**
 * Created by Clapat.
 * Date: 29/05/20
 * Time: 1:34 PM
 */
$canela_hero_properties = canela_get_hero_properties( get_post_type() );

$hero_styles = $canela_hero_properties->position;

if( $canela_hero_properties->enabled ){

?>

		<?php if( $canela_hero_properties->image && !empty( $canela_hero_properties->image['url'] ) ){ ?>
		<!-- Hero Section -->
		<div id="hero" class="has-image autoscroll">
			<div id="hero-styles">
				<div id="hero-caption" class="reverse-parallax-onscroll">
					<div class="inner">
						<div class="hero-title"><?php echo wp_kses( $canela_hero_properties->caption_title, 'canela_allowed_html' ); ?></div>
						<div class="hero-subtitle"><span><?php echo wp_kses( $canela_hero_properties->caption_subtitle, 'canela_allowed_html' ); ?></span></div>
					</div>
				</div>
				<div id="hero-footer">
					<div class="hero-footer-left">
						<div class="button-wrap left disable-drag scroll-down">
							<div class="icon-wrap parallax-wrap">
								<div class="button-icon parallax-element">
									<i class="fa fa-angle-down"></i>
								</div>
							</div>
							<?php if( !empty( $canela_hero_properties->scroll_down_caption ) ){ ?>
							<div class="button-text sticky left"><span data-hover="<?php echo esc_attr( $canela_hero_properties->scroll_down_caption ); ?>"><?php echo wp_kses( $canela_hero_properties->scroll_down_caption, 'canela_allowed_html' ); ?></span></div> 
							<?php } ?>
						</div>
					</div>
					<?php  if( canela_get_theme_options( 'clapat_canela_portfolio_share_social_networks' ) ){ ?>
					<div class="hero-footer-right">
						<div id="share" class="page-action-content disable-drag" data-text="<?php echo esc_attr( canela_get_theme_options( 'clapat_canela_portfolio_share_social_networks_caption' ) ); ?>"></div>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
		<div id="hero-image-wrapper">
			<div id="hero-background-layer" class="parallax-scroll-effect">
				<div id="hero-bg-image" style="background-image:url(<?php echo esc_url( $canela_hero_properties->image['url'] ); ?>)"></div>
			</div>
		</div>
		<!--/Hero Section -->
		<?php } else { ?>
		
		<!-- Hero Section -->
		<div id="hero">
			<div id="hero-styles">
				<div id="hero-caption" class="parallax-onscroll text-align-center">
					<div class="inner">
						<div class="hero-title"><div><?php echo wp_kses( $canela_hero_properties->caption_title, 'canela_allowed_html' ); ?></div></div>
						<div class="hero-subtitle"><span><?php echo wp_kses( $canela_hero_properties->caption_subtitle, 'canela_allowed_html' ); ?></span></div>
					</div>
				</div>
			</div>
		</div>
		<!--/Hero Section -->
		<?php } ?>

<?php
}
?>
