<?php

	$canela_page_nav_enable				= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-enable-navigation' );
	$canela_page_caption_first_line		= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-navigation-caption-first-line' );
	$canela_page_caption_second_line	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-navigation-caption-second-line' );
	$canela_next_url								= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-navigation-next-url' );
	$canela_next_title_first_row				= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-navigation-next-title' );
	$canela_next_title_second_row		= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-navigation-next-subtitle' );
	
	if( $canela_page_nav_enable ){
?>

				<!-- Page Navigation --> 
				<div id="page-nav">
					<div class="next-page-wrap">
						<div class="next-page-title">
							<div class="inner">
								<div class="page-title-wrapper has-animation text-align-center">
									<a class="page-title next-ajax-link-page disable-drag" href="<?php echo esc_url( $canela_next_url	); ?>" data-type="page-transition" data-firstline="<?php echo esc_attr( $canela_page_caption_first_line ); ?>" data-secondline="<?php echo esc_attr( $canela_page_caption_second_line ); ?>">
										<div class="next-hero-title"><div><?php echo wp_kses( $canela_next_title_first_row, 'canela_allowed_html' ); ?></div></div>
										<div class="next-hero-subtitle"><span><?php echo wp_kses( $canela_next_title_second_row, 'canela_allowed_html' ); ?></span></div>
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>      
				<!--/Page Navigation -->
<?php } ?>