			<!-- Quick Menu -->
			<div id="quickmenu" class="<?php if( canela_get_theme_options('clapat_canela_enable_ajax') ){ echo 'thumb-with-ajax'; } else { echo 'thumb-no-ajax'; } ?>">
				<div class="outer">
					<div class="inner">
						<div id="quickmenu-scroll">
							<div id="close-quickmenu"></div>
							<ul id="quick-projects">
								<?php

										$canela_showcase_tax_query = null;
										if( is_page_template('showcase-page.php') ){
											
											$canela_showcase_category_filter	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-showcase-filter-category' );

											if( !empty( $canela_showcase_category_filter ) ){
												
												$canela_array_terms = explode( ",", $canela_showcase_category_filter );
												$canela_showcase_tax_query = array(
																					array(
																						'taxonomy' 	=> 'portfolio_category',
																						'field'  	=> 'slug',
																						'terms'  	=> $canela_array_terms,
																					),
																				);
											}
										}
										
										$canela_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
										$canela_args = array(
													'post_type' => 'canela_portfolio',
													'paged' => $canela_paged,
													'tax_query' => $canela_showcase_tax_query,
													'posts_per_page' => 1000,
													 );

										$canela_portfolio = new WP_Query( $canela_args );

										$canela_slides_count = 0;
										while( $canela_portfolio->have_posts() ){

											$canela_portfolio->the_post();
											
											$canela_showcase_include	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-showcase-include' );
											
											if( $canela_showcase_include == "yes" ){
											
												$canela_hero_properties = new Canela_Hero_Properties();
												$canela_hero_properties->getProperties( get_post_type( get_the_ID() ) );
												
												?>
												<li class="hide-ball">
													<div class="quick-title">
														<div class="slide-wrap<?php if( $canela_slides_count == 0 ){ echo " active"; } ?>" data-slide="<?php echo esc_attr( $canela_slides_count ); ?>">
														<?php if( !canela_get_theme_options('clapat_canela_enable_ajax') ){ ?>
														<a class="quick-link" href="<?php the_permalink(); ?>"></a>
														<?php }  ?>
														</div>
														<div class="q-timeline" data-number="<?php echo esc_attr( sprintf("%02d", $canela_slides_count+1) ); ?>"><?php echo wp_kses( $canela_hero_properties->caption_title, 'canela_allowed_html' ); ?></div>
														<?php if( canela_get_theme_options('clapat_canela_enable_ajax') ){ ?>
														<a class="quick-link" data-type="page-transition" href="<?php the_permalink(); ?>"></a>
														<?php } ?>
													</div>
												</li>
												<?php
												
												$canela_slides_count++;
											}

										}

										wp_reset_postdata();
								?>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<!-- /Quick Menu -->